DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ResourcesFree

Free resources

## SYNOPSIS

dip_Error dip_ResourcesFree( resources, flags )

## FUNCTION

Free all resources registers in the resource tracking structure, as well as the resource tracking structure itself. To prevent errors, the resource tracking structure is set to 0. Passing a null pointer instead of a pointer to a dip_Resources structure is allowed and silently ignored.

## ARGUMENTS

Data type | Name | Description
`dip_Resources *` | `resources` | The tracking structure which was used to register the resources that must be freed. Note the double pointer, allowing this routine to set your pointer to 0
`dipf_ResourcesFree` | `flags` | When set to `DIP_RMRF_DONT_FREE`, dip_ResourcesFree only frees the dip_Resources structure itself, not the resources associated with it

## SEE ALSO

`ResourcesNew`, `ResourcesMerge`, `ResourceSubscribe`, `ResourceUnsubscribe`